{% extends 'base_book.html.twig' %}
{% block heaad %}
    <meta name="description" content="Кот бегемот аудиокниги, самые лучшие и топовые аудиокниги совершенно бесплатно. Слушай и качай в формате mp3. без регистрации и подписок. Лучший сайт с бесплатными аудиокнигами">
    <meta property="og:type" content="website">
    <meta property="og:title" content="{{ book.authors|join(', ') }} - {{ book.title }}">
    <meta property="og:image" content="{{ book.cover }}">
    <meta property="og:url" content="https://kot-begemot.com/book/{{ book.slug }}">
    <meta name="keywords"
          content="аудиокнига, слушать онлайн, бесплатно, {{ book.authors|join(', ') }}, {{ book.performer|join(', ') }}, {{ book.genres|join(', ') }}">
    {% for file in encore_entry_js_files('biblio') %}
        <script src="{{ asset(file) }}" defer></script>
    {% endfor %}
{% endblock %}
{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('biblio') }}
{% endblock %}

{% block title %}Аудиокнига {{ book.title }} слушать онлайн бесплатно - автор {{ book.authors|join(', ') }}{% endblock %}
{% block mainAd %}{% endblock %}
{% block body %}
        <div class="row">
            <div id="ad2" class="col-xl-3 col-lg-3 col-xs-12 col-sm-12">
                <!-- show block2 -->
                <ins class="adsbygoogle"
                     style="display:block"
                     data-ad-client="ca-pub-5658893018787889"
                     data-ad-slot="8381865747"
                     data-ad-format="auto"
                     data-full-width-responsive="true"></ins>
                <script async>
                    (function() {
                        var done = false;
                        var script = document.createElement('script');
                        script.async = true;
                        script.type = 'text/javascript';
                        script.src = '//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js';

                        var createScript = setTimeout(
                            function(){
                                document.getElementsByTagName('HEAD').item(0).appendChild(script);
                            }, 3000
                        );

                        script.onreadystatechange = script.onload = function(e) {
                            if (!done && (!this.readyState || this.readyState == 'loaded' || this.readyState == 'complete')) {
                                (adsbygoogle = window.adsbygoogle || []).push({});
                            }
                        };
                    })();
                </script>
            </div>
            <div id="player" class="col-xl-6 col-lg-6 player-container card col-xs-12 col-sm-12 app-text player-border" data="{{ params | json_encode }}">

                <div class="player mt-2">
                    <!-- /.play-box -->

                    <div class="info-box">
                        <div class="track-info-box">
                            <div class="audio-time">
                                <span class="current-time">00:00</span> /
                                <span class="duration">00:00</span>
                            </div>
                            <div class="pull-right mt-3">Всего прослушано: <span id="total-progress">0%</span></div>

                        </div>
                        <!-- /.info-box -->
                        <div class="audio-progress" id="audio-progress">
                            <div id="draggable-point" style="position:absolute;" class="draggable ui-widget-content">
                                <div id="audio-progress-handle"></div>
                            </div>
                        </div>

                        <div id="posX"></div>
                        <span id="track-title-text"></span>

                    </div>
                    <!-- /.progress-box -->

                    <div class="controls-box">

                        <i class="previous-track-btn disabled"><span class="screen-reader-text">Previous track button</span></i>
                        <div class="large-toggle-btn">
                            <i class="large-play-btn"><span class="screen-reader-text">Large toggle button</span></i>
                        </div>
                        <i class="next-track-btn"><span class="screen-reader-text">Next track button</span></i>
                    </div>
                    <!-- /.controls-box -->
                </div>
                <!-- /.player -->

                <div id="playlist" class="play-list mt-5 card">
                </div>

                {% if app.user %}
                    <div id="purchase" class="app-text mb-2 btn btn-sm btn-outline-success">Слушать полностью</div>
                {% else %}
                    <a id="purchase" class="app-text mb-2 btn btn-sm btn-outline-success" href="{{ path('app_login') }}">Слушать полностью</a>
                {% endif %}
            </div>
            <div id="ad3" class="col-xl-3 col-lg-3 col-xs-12 col-sm-12">
                <!-- show block2 -->
                <ins class="adsbygoogle"
                     style="display:block"
                     data-ad-client="ca-pub-5658893018787889"
                     data-ad-slot="9446415841"
                     data-ad-format="auto"
                     data-full-width-responsive="true"></ins>
                <script async>
                    (function() {
                        var done = false;
                        var script = document.createElement('script');
                        script.async = true;
                        script.type = 'text/javascript';
                        script.src = '//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js';

                        var createScript = setTimeout(
                            function(){
                                document.getElementsByTagName('HEAD').item(0).appendChild(script);
                            }, 3000
                        );

                        script.onreadystatechange = script.onload = function(e) {
                            if (!done && (!this.readyState || this.readyState == 'loaded' || this.readyState == 'complete')) {
                                (adsbygoogle = window.adsbygoogle || []).push({});
                            }
                        };
                    })();
                </script>
            </div>
        </div>


    <div class="row">
        <div class="col">
            <div class="row app-text book-info mx-2 text-center">
                <main>
                    <h2>{{ book.title }}</h2>
                    {{ book.description }}
                </main>
            </div>
            <hr>
            <div class="row app-text">
                <div class="book-info">
                    <b>Автор:</b>
                    <small>
                        {% for author in book.authors %}
                            <a
                            href="{{ path('homepage', {'author': author.id}) }}">{{ author.name }}</a>{% if not loop.last %},{% endif %}
                        {% endfor %}
                    </small>
                </div>
            </div>
            <div class="row app-text">
                <div class="book-info">
                    <b>Читает:</b>
                    <small>
                        {% for performer in book.performer %}
                            <a
                            href="{{ path('homepage', {'performer': performer.id}) }}">{{ performer.name }}</a>{% if not loop.last %},{% endif %}
                        {% endfor %}
                    </small>
                </div>
            </div>

            <div class="row app-text">
                <div class="book-info">
                    <b>Жанр:</b>
                    <small>
                        {% for genre in book.genres %}
                            <a
                            href="{{ path('homepage', {'genre': genre.name}) }}">{{ genre.name|replace({' ': ''}) }}</a>{% if not loop.last %},{% endif %}
                        {% endfor %}
                    </small>
                </div>
            </div>
        </div>
    </div>
    <h2 class="mt-5 app-text">Вас также может заинтересовать: </h2>
    <div class="card-deck mt-3">
        {% for b in randomBooks %}
            <div class="card app-text">
                <a href="{{ path('show', {'slug': b.slug}) }}"><img height="290" width="190" class="card-img-top lozad" src="{{ b.cover }}" alt="cover" loading="lazy"></a>
                <div class="card-body book-list-item-content">
                    <h3 class="card-title"><a href="{{ path('show', {'slug': b.slug}) }}">{{ b.title }}</a></h3>

                    <p class="card-text">
                        <small class="text-muted">
                            Автор:
                            {% for author in b.authors %}
                                <a href="{{ path('homepage', {'author': author.id}) }}">{{ author.name }}</a>{% if not loop.last %},{% endif %}
                            {% endfor %}
                        </small>
                    </p>

                    <p class="card-text">
                        <small class="text-muted">
                            Читает:
                            {% for performer in b.performer %}
                                <a href="{{ path('homepage', {'performer': performer.id}) }}">{{ performer.name }}</a>{% if not loop.last %},{% endif %}
                            {% endfor %}
                        </small>
                    </p>


                    <p class="card-text">
                        <small class="text-muted">
                            Жанр:
                            {% for genre in b.genres %}
                                <a href="{{ path('homepage', {'genre': genre.name}) }}">{{ genre.name }}</a>{% if not loop.last %},{% endif %}
                            {% endfor %}
                        </small>
                    </p>
                </div>
            </div>
        {% endfor %}
    </div>

    <div class="justify-content-center mt-5 w-100">
        <h4 class="app-text">Комментарии:</h4>

        {% for comment in book.comments|sort((a, b) => a.createdAt < b.createdAt) %}

            <div class="d-flex justify-content-center py-2">
                <div class="second py-2 px-2"> <span class="text1">{{ comment.text }}</span>
                    <div class="d-flex justify-content-between py-1 pt-2">
                        <div><i class="fa fa-user"></i><span class="text2">{{ comment.authorName }}</span></div>
                        <div><span class="text3">{{ comment.createdAt|ago }}</span></div>
                    </div>
                </div>
            </div>
        {% endfor %}

        {% if app.user %}
            {{ form(commentForm) }}
        {% endif %}
    </div>

{% endblock %}

